Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xerces.dom
Class DeferredDocumentImpl

    java.lang.Object
      weblogic.apache.xerces.dom.NodeImpl
          weblogic.apache.xerces.dom.ChildNode
              weblogic.apache.xerces.dom.ParentNode
                  weblogic.apache.xerces.dom.CoreDocumentImpl
                      weblogic.apache.xerces.dom.DocumentImpl
                          weblogic.apache.xerces.dom.DeferredDocumentImpl

All Implemented Interfaces:
  Serializable, Cloneable, Document, DocumentEvent, EventTarget, DocumentLS, Node, NodeList, org.w3c.dom.ranges.DocumentRange, org.w3c.dom.traversal.DocumentTraversal, DeferredNode

Deprecated. please use JDK supplied XML parsers and transformers

    public class DeferredDocumentImpl

extends DocumentImpl
implements DeferredNode

The Document interface represents the entire HTML or XML document. Conceptually, it is the root of the document tree, and provides the primary access to the document's data.

Since elements, text nodes, comments, processing instructions, etc. cannot exist outside the context of a Document, the Document interface also contains the factory methods needed to create these objects. The Node objects created have a ownerDocument attribute which associates them with the Document within whose context they were created.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

Since:
  PR-DOM-Level-1-19980818.
See Also:
  Serialized Form

Field Summary
`protected static int` | `CHUNK_MASK` Deprecated. Chunk mask.
`protected static int` | `CHUNK_SHIFT` Deprecated. Chunk shift.
`protected static int` | `CHUNK_SIZE` Deprecated. Chunk size.
`protected int` | `fIdCount` Deprecated. Identifier count.
`protected int[]` | `fIdElement` Deprecated. Identifier element indexes.
`protected String[]` | `fIdName` Deprecated. Identifier name indexes.
`protected boolean` | `fNamespacesEnabled` Deprecated. DOM2: For namespace support in the deferred case.
`protected int` | `fNodeCount` Deprecated. Node count.
`protected int[][]` | `fNodeExtra` Deprecated. Extra data.
`protected int[][]` | `fNodeLastChild` Deprecated. Node first children.
`protected Object[][]` | `fNodeName` Deprecated. Node names.
`protected int[][]` | `fNodeParent` Deprecated. Node parents.
`protected int[][]` | `fNodePrevSib` Deprecated. Node prev siblings.
`protected int[][]` | `fNodeType` Deprecated. Node types.
`protected Object[][]` | `fNodeURI` Deprecated. Node namespace URI.
`protected Object[][]` | `fNodeValue` Deprecated. Node values.
`protected static int` | `INITIAL_CHUNK_COUNT` Deprecated. Initial chunk size.

Fields inherited from class weblogic.apache.xerces.dom.DocumentImpl
`eventListeners, iterators, mutationEvents, ranges`

Fields inherited from class weblogic.apache.xerces.dom.CoreDocumentImpl
`actualEncoding, allowGrammarAccess, CDATA, changes, COMMENTS, DEFAULTS, docElement, docType, domNormalizer, DTNORMALIZATION, encoding, ENTITIES, errorChecking, fConfiguration, fDocumentURI, features, fEntityResolver, fErrorHandlerWrapper, fGrammar, fSymbolTable, identifiers, NAMESPACES, SPLITCDATA, standalone, userData, VALIDATION, version`

Fields inherited from class weblogic.apache.xerces.dom.ParentNode
`firstChild, fNodeListCache, ownerDocument`

Fields inherited from class weblogic.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class weblogic.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, HASSTRING, IDATTRIBUTE, IGNORABLEWS, OWNED, ownerNode, READONLY, SPECIFIED, SYNCCHILDREN, SYNCDATA, TREE_POSITION_ANCESTOR, TREE_POSITION_DESCENDANT, TREE_POSITION_DISCONNECTED, TREE_POSITION_EQUIVALENT, TREE_POSITION_FOLLOWING, TREE_POSITION_PRECEDING, TREE_POSITION_SAME_NODE, UNNORMALIZED`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`DeferredDocumentImpl()` Deprecated. NON-DOM: Actually creating a Document is outside the DOM's spec, since it has to operate in terms of a particular implementation.
`DeferredDocumentImpl(boolean namespacesEnabled)` Deprecated. NON-DOM: Actually creating a Document is outside the DOM's spec, since it has to operate in terms of a particular implementation.
`DeferredDocumentImpl(boolean namespaces, boolean grammarAccess)` Deprecated. Experimental constructor.

Method Summary
`void` | `appendChild(int parentIndex, int childIndex)` Deprecated. Appends a child to the specified parent in the table.
`protected static int` | `binarySearch(int[] values, int start, int end, int target)` Deprecated. Performs a binary search for a target value in an array of values.
`int` | `cloneNode(int nodeIndex, boolean deep)` Deprecated. Creates a clone of the specified node.
`int` | `createDeferredAttribute(String attrName, String attrValue, boolean specified)` Deprecated. Creates an attribute in the table.
`int` | `createDeferredAttribute(String attrName, String attrURI, String attrValue, boolean specified)` Deprecated. Creates an attribute with a URI in the table.
`int` | `createDeferredCDATASection(String data)` Deprecated. Creates a CDATA section node in the table.
`int` | `createDeferredComment(String data)` Deprecated. Creates a comment node in the table.
`int` | `createDeferredDocument()` Deprecated. Creates a document node in the table.
`int` | `createDeferredDocumentType(String rootElementName, String publicId, String systemId)` Deprecated. Creates a doctype.
`int` | `createDeferredElement(String elementName)` Deprecated. Creates an element node in the table.
`int` | `createDeferredElement(String elementURI, String elementName)` Deprecated. Creates an element node with a URI in the table.
`int` | `createDeferredElementDefinition(String elementName)` Deprecated. Creates an element definition in the table.
`int` | `createDeferredEntity(String entityName, String publicId, String systemId, String notationName, String baseURI)` Deprecated. Creates an entity in the table.
`int` | `createDeferredEntityReference(String name, String baseURI)` Deprecated. Creates an entity reference node in the table.
`int` | `createDeferredNotation(String notationName, String publicId, String systemId, String baseURI)` Deprecated. Creates a notation in the table.
`int` | `createDeferredProcessingInstruction(String target, String data)` Deprecated. Creates a processing instruction node in the table.
`int` | `createDeferredTextNode(String data, boolean ignorableWhitespace)` Deprecated. Creates a text node in the table.
`protected int` | `createNode(short nodeType)` Deprecated. Creates a node of the specified type.
`protected void` | `ensureCapacity(int chunk)` Deprecated. Ensures that the internal tables are large enough.
`String` | `getAttribute(int elemIndex, String name)` Deprecated. Returns the attribute value of the given name.
`String` | `getDeferredEntityBaseURI(int entityIndex)` Deprecated.
`int` | `getLastChild(int nodeIndex)` Deprecated. Returns the last child of the given node.
`int` | `getLastChild(int nodeIndex, boolean free)` Deprecated. Returns the last child of the given node.
`int` | `getNodeExtra(int nodeIndex)` Deprecated. Returns the extra info of the given node.
`int` | `getNodeExtra(int nodeIndex, boolean free)` Deprecated. Returns the extra info of the given node.
`int` | `getNodeIndex()` Deprecated. Returns the node index.
`String` | `getNodeName(int nodeIndex)` Deprecated. Returns the name of the given node.
`String` | `getNodeName(int nodeIndex, boolean free)` Deprecated. Returns the name of the given node.
`DeferredNode` | `getNodeObject(int nodeIndex)` Deprecated. Instantiates the requested node object.
`short` | `getNodeType(int nodeIndex)` Deprecated. Returns the type of the given node.
`short` | `getNodeType(int nodeIndex, boolean free)` Deprecated. Returns the type of the given node.
`String` | `getNodeURI(int nodeIndex)` Deprecated. Returns the URI of the given node.
`String` | `getNodeURI(int nodeIndex, boolean free)` Deprecated. Returns the URI of the given node.
`String` | `getNodeValue(int nodeIndex)` Deprecated. Returns the value of the given node.
`String` | `getNodeValue(int nodeIndex, boolean free)` Deprecated. Returns the value of the given node.
`String` | `getNodeValueString(int nodeIndex)` Deprecated. Returns the real value of the given node.
`String` | `getNodeValueString(int nodeIndex, boolean free)` Deprecated. Returns the real value of the given node.
`int` | `getParentNode(int nodeIndex)` Deprecated. Returns the parent node of the given node.
`int` | `getParentNode(int nodeIndex, boolean free)` Deprecated. Returns the parent node of the given node.
`int` | `getPrevSibling(int nodeIndex)` Deprecated. Returns the prev sibling of the given node.
`int` | `getPrevSibling(int nodeIndex, boolean free)` Deprecated. Returns the prev sibling of the given node.
`int` | `getRealPrevSibling(int nodeIndex)` Deprecated. Returns the real prev sibling of the given node, directly from the data structures.
`int` | `getRealPrevSibling(int nodeIndex, boolean free)` Deprecated. Returns the real prev sibling of the given node.
`int` | `insertBefore(int parentIndex, int newChildIndex, int refChildIndex)` Deprecated. Inserts a child before the specified node in the table.
`int` | `lookupElementDefinition(String elementName)` Deprecated. Returns the index of the element definition in the table with the specified name index, or -1 if no such definition exists.
`void` | `print()` Deprecated. Prints out the tables.
`void` | `putIdentifier(String name, int elementNodeIndex)` Deprecated. Registers an identifier name with a specified element node.
`void` | `setActualEncoding(int currentEntityDecl, String value)` Deprecated.
`void` | `setAsLastChild(int parentIndex, int childIndex)` Deprecated. Sets the last child of the parentIndex to childIndex.
`int` | `setAttributeNode(int elemIndex, int attrIndex)` Deprecated. Adds an attribute node to the specified element.
`int` | `setDeferredAttribute(int elementNodeIndex, String attrName, String attrURI, String attrValue, boolean specified)` Deprecated. Sets an attribute on an element node.
`int` | `setDeferredPIBaseURI(int nodeIndex, String baseURI)` Deprecated. Set a baseURI for a processing instruction node in the table.
`void` | `setEntityInfo(int currentEntityDecl, String version, String encoding)` Deprecated.
`void` | `setIdAttribute(int attrIndex)` Deprecated. Sets type of attribute
`void` | `setIdAttributeNode(int elemIndex, int attrIndex)` Deprecated. Adds an attribute node to the specified element.
`void` | `setInternalSubset(int doctypeIndex, String subset)` Deprecated.
`protected void` | `synchronizeChildren()` Deprecated. Synchronizes the node's children with the internal structure.
`protected void` | `synchronizeChildren(AttrImpl a, int nodeIndex)` Deprecated. Synchronizes the node's children with the internal structure.
`protected void` | `synchronizeChildren(ParentNode p, int nodeIndex)` Deprecated. Synchronizes the node's children with the internal structure.
`protected void` | `synchronizeData()` Deprecated. Synchronizes the node's data.

Methods inherited from class weblogic.apache.xerces.dom.DocumentImpl
`addEventListener, cloneNode, copyEventListeners, createEvent, createNodeIterator, createNodeIterator, createRange, createTreeWalker, createTreeWalker, dispatchAggregateEvents, dispatchAggregateEvents, dispatchEvent, dispatchEventToSubtree, getEventListeners, getImplementation, removeEventListener, saveEnclosingAttr, setEventListeners`

Methods inherited from class weblogic.apache.xerces.dom.CoreDocumentImpl
`abort, adoptNode, canSetNormalizationFeature, changed, changes, clone, cloneNode, copyConfigurationProperties, createAttribute, createAttributeNS, createAttributeNS, createCDATASection, createComment, createDocumentFragment, createDocumentType, createElement, createElementDefinition, createElementNS, createElementNS, createEntity, createEntityReference, createNotation, createProcessingInstruction, createTextNode, finalize, getActualEncoding, getAsync, getBaseURI, getDoctype, getDocumentElement, getDocumentURI, getElementById, getElementsByTagName, getElementsByTagNameNS, getEncoding, getErrorChecking, getErrorHandler, getIdentifier, getIdentifiers, getNodeName, getNodeType, getNormalizationFeature, getOwnerDocument, getStandalone, getStrictErrorChecking, getTextContent, getUserData, getUserData, getVersion, importNode, insertBefore, isKidOK, isNormalizeDocRequired, isXMLName, load, loadXML, normalizeDocument, putIdentifier, removeChild, removeIdentifier, renameNode, replaceChild, saveXML, setActualEncoding, setAsync, setDocumentURI, setEncoding, setErrorChecking, setErrorHandler, setNormalizationFeature, setStandalone, setStrictErrorChecking, setTextContent, setUserData, setUserData, setVersion`

Methods inherited from class weblogic.apache.xerces.dom.ParentNode
`getChildNodes, getChildNodesUnoptimized, getFirstChild, getLastChild, getLength, hasChildNodes, isEqualNode, item, normalize, setReadOnly`

Methods inherited from class weblogic.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class weblogic.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, compareTreePosition, dispatchEvent, getAttributes, getInterface, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, getUserData, hasAttributes, isDefaultNamespace, isSameNode, isSupported, lookupNamespacePrefix, lookupNamespaceURI, needsSyncChildren, removeEventListener, setNodeValue, setPrefix, setUserData, setUserData, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Methods inherited from interface org.w3c.dom.Document
`getDomConfig, getInputEncoding, getXmlEncoding, getXmlStandalone, getXmlVersion, setXmlStandalone, setXmlVersion`

Field Detail

### CHUNK_SHIFT

    protected static final int CHUNK_SHIFT

  Deprecated.
  Chunk shift.

  See Also:
    Constant Field Values

### CHUNK_SIZE

    protected static final int CHUNK_SIZE

  Deprecated.
  Chunk size.

  See Also:
    Constant Field Values

### CHUNK_MASK

    protected static final int CHUNK_MASK

  Deprecated.
  Chunk mask.

  See Also:
    Constant Field Values

### INITIAL_CHUNK_COUNT

    protected static final int INITIAL_CHUNK_COUNT

  Deprecated.
  Initial chunk size.

  See Also:
    Constant Field Values

### fNodeCount

    protected transient int fNodeCount

  Deprecated.
  Node count.

### fNodeType

    protected transient int[][] fNodeType

  Deprecated.
  Node types.

### fNodeName

    protected transient Object[][] fNodeName

  Deprecated.
  Node names.

### fNodeValue

    protected transient Object[][] fNodeValue

  Deprecated.
  Node values.

### fNodeParent

    protected transient int[][] fNodeParent

  Deprecated.
  Node parents.

### fNodeLastChild

    protected transient int[][] fNodeLastChild

  Deprecated.
  Node first children.

### fNodePrevSib

    protected transient int[][] fNodePrevSib

  Deprecated.
  Node prev siblings.

### fNodeURI

    protected transient Object[][] fNodeURI

  Deprecated.
  Node namespace URI.

### fNodeExtra

    protected transient int[][] fNodeExtra

  Deprecated.
  Extra data.

### fIdCount

    protected transient int fIdCount

  Deprecated.
  Identifier count.

### fIdName

    protected transient String[] fIdName

  Deprecated.
  Identifier name indexes.

### fIdElement

    protected transient int[] fIdElement

  Deprecated.
  Identifier element indexes.

### fNamespacesEnabled

    protected boolean fNamespacesEnabled

  Deprecated.
  DOM2: For namespace support in the deferred case.

Constructor Detail

### DeferredDocumentImpl

    public DeferredDocumentImpl()

  Deprecated.
  NON-DOM: Actually creating a Document is outside the DOM's spec, since it has to operate in terms of a particular implementation.

### DeferredDocumentImpl

    public DeferredDocumentImpl(boolean namespacesEnabled)

  Deprecated.
  NON-DOM: Actually creating a Document is outside the DOM's spec, since it has to operate in terms of a particular implementation.

### DeferredDocumentImpl

    public DeferredDocumentImpl(boolean namespaces,
                                boolean grammarAccess)

  Deprecated.
  Experimental constructor.

Method Detail

### createDeferredDocument

    public int createDeferredDocument()

  Deprecated.
  Creates a document node in the table.

### createDeferredDocumentType

    public int createDeferredDocumentType(String rootElementName,
                                          String publicId,
                                          String systemId)

  Deprecated.
  Creates a doctype.

### setInternalSubset

    public void setInternalSubset(int doctypeIndex,
                                  String subset)

  Deprecated.

### createDeferredNotation

    public int createDeferredNotation(String notationName,
                                      String publicId,
                                      String systemId,
                                      String baseURI)

  Deprecated.
  Creates a notation in the table.

### createDeferredEntity

    public int createDeferredEntity(String entityName,
                                    String publicId,
                                    String systemId,
                                    String notationName,
                                    String baseURI)

  Deprecated.
  Creates an entity in the table.

### getDeferredEntityBaseURI

    public String getDeferredEntityBaseURI(int entityIndex)

  Deprecated.

### setEntityInfo

    public void setEntityInfo(int currentEntityDecl,
                              String version,
                              String encoding)

  Deprecated.

### setActualEncoding

    public void setActualEncoding(int currentEntityDecl,
                                  String value)

  Deprecated.

### createDeferredEntityReference

    public int createDeferredEntityReference(String name,
                                             String baseURI)

  Deprecated.
  Creates an entity reference node in the table.

### createDeferredElement

    public int createDeferredElement(String elementName)

  Deprecated.
  Creates an element node in the table.

### createDeferredElement

    public int createDeferredElement(String elementURI,
                                     String elementName)

  Deprecated.
  Creates an element node with a URI in the table.

### setDeferredAttribute

    public int setDeferredAttribute(int elementNodeIndex,
                                    String attrName,
                                    String attrURI,
                                    String attrValue,
                                    boolean specified)

  Deprecated.
  Sets an attribute on an element node.

### createDeferredAttribute

    public int createDeferredAttribute(String attrName,
                                       String attrValue,
                                       boolean specified)

  Deprecated.
  Creates an attribute in the table.

### createDeferredAttribute

    public int createDeferredAttribute(String attrName,
                                       String attrURI,
                                       String attrValue,
                                       boolean specified)

  Deprecated.
  Creates an attribute with a URI in the table.

### createDeferredElementDefinition

    public int createDeferredElementDefinition(String elementName)

  Deprecated.
  Creates an element definition in the table.

### createDeferredTextNode

    public int createDeferredTextNode(String data,
                                      boolean ignorableWhitespace)

  Deprecated.
  Creates a text node in the table.

### createDeferredCDATASection

    public int createDeferredCDATASection(String data)

  Deprecated.
  Creates a CDATA section node in the table.

### createDeferredProcessingInstruction

    public int createDeferredProcessingInstruction(String target,
                                                   String data)

  Deprecated.
  Creates a processing instruction node in the table.

### setDeferredPIBaseURI

    public int setDeferredPIBaseURI(int nodeIndex,
                                    String baseURI)

  Deprecated.
  Set a baseURI for a processing instruction node in the table.

### createDeferredComment

    public int createDeferredComment(String data)

  Deprecated.
  Creates a comment node in the table.

### cloneNode

    public int cloneNode(int nodeIndex,
                         boolean deep)

  Deprecated.
  Creates a clone of the specified node.

### appendChild

    public void appendChild(int parentIndex,
                            int childIndex)

  Deprecated.
  Appends a child to the specified parent in the table.

### setAttributeNode

    public int setAttributeNode(int elemIndex,
                                int attrIndex)

  Deprecated.
  Adds an attribute node to the specified element.

### setIdAttributeNode

    public void setIdAttributeNode(int elemIndex,
                                   int attrIndex)

  Deprecated.
  Adds an attribute node to the specified element.

### setIdAttribute

    public void setIdAttribute(int attrIndex)

  Deprecated.
  Sets type of attribute

### insertBefore

    public int insertBefore(int parentIndex,
                            int newChildIndex,
                            int refChildIndex)

  Deprecated.
  Inserts a child before the specified node in the table.

### setAsLastChild

    public void setAsLastChild(int parentIndex,
                               int childIndex)

  Deprecated.
  Sets the last child of the parentIndex to childIndex.

### getParentNode

    public int getParentNode(int nodeIndex)

  Deprecated.
  Returns the parent node of the given node. Calling this method does not free the parent index.

### getParentNode

    public int getParentNode(int nodeIndex,
                             boolean free)

  Deprecated.
  Returns the parent node of the given node.

  Parameters:
    `free` - True to free parent node.

### getLastChild

    public int getLastChild(int nodeIndex)

  Deprecated.
  Returns the last child of the given node.

### getLastChild

    public int getLastChild(int nodeIndex,
                            boolean free)

  Deprecated.
  Returns the last child of the given node.

  Parameters:
    `free` - True to free child index.

### getPrevSibling

    public int getPrevSibling(int nodeIndex)

  Deprecated.
  Returns the prev sibling of the given node. This is post-normalization of Text Nodes.

### getPrevSibling

    public int getPrevSibling(int nodeIndex,
                              boolean free)

  Deprecated.
  Returns the prev sibling of the given node.

  Parameters:
    `free` - True to free sibling index.

### getRealPrevSibling

    public int getRealPrevSibling(int nodeIndex)

  Deprecated.
  Returns the real prev sibling of the given node, directly from the data structures. Used by TextImpl#getNodeValue() to normalize values.

### getRealPrevSibling

    public int getRealPrevSibling(int nodeIndex,
                                  boolean free)

  Deprecated.
  Returns the real prev sibling of the given node.

  Parameters:
    `free` - True to free sibling index.

### lookupElementDefinition

    public int lookupElementDefinition(String elementName)

  Deprecated.
  Returns the index of the element definition in the table with the specified name index, or -1 if no such definition exists.

### getNodeObject

    public DeferredNode getNodeObject(int nodeIndex)

  Deprecated.
  Instantiates the requested node object.

### getNodeName

    public String getNodeName(int nodeIndex)

  Deprecated.
  Returns the name of the given node.

### getNodeName

    public String getNodeName(int nodeIndex,
                              boolean free)

  Deprecated.
  Returns the name of the given node.

  Parameters:
    `free` - True to free the string index.

### getNodeValueString

    public String getNodeValueString(int nodeIndex)

  Deprecated.
  Returns the real value of the given node.

### getNodeValueString

    public String getNodeValueString(int nodeIndex,
                                     boolean free)

  Deprecated.
  Returns the real value of the given node.

  Parameters:
    `free` - True to free the string index.

### getNodeValue

    public String getNodeValue(int nodeIndex)

  Deprecated.
  Returns the value of the given node.

### getNodeValue

    public String getNodeValue(int nodeIndex,
                               boolean free)

  Deprecated.
  Returns the value of the given node.

  Parameters:
    `free` - True to free the value index.

### getNodeExtra

    public int getNodeExtra(int nodeIndex)

  Deprecated.
  Returns the extra info of the given node. Used by AttrImpl to store specified value (1 == true).

### getNodeExtra

    public int getNodeExtra(int nodeIndex,
                            boolean free)

  Deprecated.
  Returns the extra info of the given node.

  Parameters:
    `free` - True to free the value index.

### getNodeType

    public short getNodeType(int nodeIndex)

  Deprecated.
  Returns the type of the given node.

### getNodeType

    public short getNodeType(int nodeIndex,
                             boolean free)

  Deprecated.
  Returns the type of the given node.

  Parameters:
    `free` - True to free type index.

### getAttribute

    public String getAttribute(int elemIndex,
                               String name)

  Deprecated.
  Returns the attribute value of the given name.

### getNodeURI

    public String getNodeURI(int nodeIndex)

  Deprecated.
  Returns the URI of the given node.

### getNodeURI

    public String getNodeURI(int nodeIndex,
                             boolean free)

  Deprecated.
  Returns the URI of the given node.

  Parameters:
    `free` - True to free URI index.

### putIdentifier

    public void putIdentifier(String name,
                              int elementNodeIndex)

  Deprecated.
  Registers an identifier name with a specified element node.

### print

    public void print()

  Deprecated.
  Prints out the tables.

### getNodeIndex

    public int getNodeIndex()

  Deprecated.
  Returns the node index.

  Specified by:
    `getNodeIndex` in interface `DeferredNode`

### synchronizeData

    protected void synchronizeData()

  Deprecated.
  Synchronizes the node's data.

  Overrides:
    `synchronizeData` in class `NodeImpl`

### synchronizeChildren

    protected void synchronizeChildren()

  Deprecated.
  Synchronizes the node's children with the internal structure. Fluffing the children at once solves a lot of work to keep the two structures in sync. The problem gets worse when editing the tree -- this makes it a lot easier.

  Overrides:
    `synchronizeChildren` in class `ParentNode`

### synchronizeChildren

    protected final void synchronizeChildren(AttrImpl a,
                                             int nodeIndex)

  Deprecated.
  Synchronizes the node's children with the internal structure. Fluffing the children at once solves a lot of work to keep the two structures in sync. The problem gets worse when editing the tree -- this makes it a lot easier. This is not directly used in this class but this method is here so that it can be shared by all deferred subclasses of AttrImpl.

### synchronizeChildren

    protected final void synchronizeChildren(ParentNode p,
                                             int nodeIndex)

  Deprecated.
  Synchronizes the node's children with the internal structure. Fluffing the children at once solves a lot of work to keep the two structures in sync. The problem gets worse when editing the tree -- this makes it a lot easier. This is not directly used in this class but this method is here so that it can be shared by all deferred subclasses of ParentNode.

### ensureCapacity

    protected void ensureCapacity(int chunk)

  Deprecated.
  Ensures that the internal tables are large enough.

### createNode

    protected int createNode(short nodeType)

  Deprecated.
  Creates a node of the specified type.

### binarySearch

    protected static int binarySearch(int[] values,
                                      int start,
                                      int end,
                                      int target)

  Deprecated.
  Performs a binary search for a target value in an array of values. The array of values must be in ascending sorted order before calling this method and all array values must be non-negative.

  Parameters:
    `values` - The array of values to search.
    `start` - The starting offset of the search.
    `end` - The ending offset of the search.
    `target` - The target value.
  Returns:
    This function will return the first occurrence of the target value, or -1 if the target value cannot be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD